Subject: Re: linux-next: build failure after merge of the amdgpu tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 6 May 2022 11:05:36 +1000

Hi all,

On Thu, 5 May 2022 14:46:25 -0400 Alex Deucher <[email-masked]> wrote:
>
> On Thu, May 5, 2022 at 2:12 PM Nathan Chancellor <[email-masked]> wrote:
> >
> > This fixup makes CONFIG_DRM_AMDGPU unselectable on any architecture that
> > does not have CONFIG_CPU_LITTLE_ENDIAN, such as x86_64. I was rather
> > surprised when my AMD test system did not reach the login screen and
> > there were no error messages in dmesg, only to find that
> > CONFIG_DRM_AMDGPU had disappeared from my build.
> >
> > If this is not fixed by the time you do next-20220506, would you
> > consider swapping the logic like so? This should allow all implicitly
> > little endian architectures to work (at least, I tested it with x86_64),
> > while preventing errors for CONFIG_CPU_BIG_ENDIAN configurations.  
> 
> This is fixed.  Will push out a new branch shortly.
> 
> >
> > diff --git a/drivers/gpu/drm/Kconfig b/drivers/gpu/drm/Kconfig
> > index 2aaa9ef1168d..a57843733a96 100644
> > --- a/drivers/gpu/drm/Kconfig
> > +++ b/drivers/gpu/drm/Kconfig
> > @@ -244,7 +244,7 @@ source "drivers/gpu/drm/radeon/Kconfig"
> >  config DRM_AMDGPU
> >         tristate "AMD GPU"
> >         depends on DRM && PCI && MMU
> > -       depends on CPU_LITTLE_ENDIAN
> > +       depends on !CPU_BIG_ENDIAN
> >         select FW_LOADER
> >         select DRM_DISPLAY_DP_HELPER
> >         select DRM_DISPLAY_HDMI_HELPER  

Since today's amdgpu tree is broken, I have used the above with
yesterday's tree.

-- 
Cheers,
Stephen Rothwell